View Issue Details

IDProjectCategoryView StatusLast Update
0000066ascendtcltk-guipublic2008-02-10 13:05
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionwon't fix 
Product Version 
Target VersionFixed in Version 
Summary0000066: User file locations
DescriptionA more standard arrangement for files in Ascend would be

~/.ascend -- for settings files like window positions etc.
~ -- default location for new files
/usr/share/ascend/models -- for 'standard models'

I don't think that the ~/ascdata directory follows the normal practise of allowing people to decide where they will put their stuff. Ascend would ideally have a 'start location' and 'search path' thing that can be set somewhere as a preference, c.f. GCC '-I' and TextPad's 'file locations' dialog.
TagsNo tags attached.

Relationships

related to 0000102 closedjohn Installing with TK and models under /usr/share/ascend 

Activities

john

2005-11-15 05:17

administrator   ~0000044

This doesn't need to be fixed: the directories used for user files are configurable via environment variable. It's up to the person writing the installer for ASCEND to configure this how they like.

Issue History

Date Modified Username Field Change
2005-10-08 02:09 john New Issue
2005-10-24 01:37 john Relationship added related to 0000102
2005-11-15 05:17 john Status new => resolved
2005-11-15 05:17 john Resolution open => won't fix
2005-11-15 05:17 john Assigned To => john
2005-11-15 05:17 john Note Added: 0000044
2008-02-10 13:05 john Status resolved => closed